Bug 227197 - Suspend-to-disk on close lid does not work on FC6 and Inspiron 8200
Suspend-to-disk on close lid does not work on FC6 and Inspiron 8200
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-03 06:52 EST by Filip Miletic
Modified: 2013-03-05 22:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:09:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Miletic 2007-02-03 06:52:58 EST
Description of problem:

Greets.

Since I installed FC6 I have the problem with the suspend-to-disk upon
lid close on an Dell Inspiron 8200.  I used gnome-power-manager to set
up the suspend.

When I close the laptop lid, while in the Gnome session, the only effect
is that the X session is killed and gdm appears.  I would have expected
the computer to suspend to disk.  This worked well on FC5.

For the record, suspend-to-disk works well if I ask for it from the
command line or by pushing the appropriate button in the Gnome user
interface.

Version-Release number of selected component (if applicable):


How reproducible:
Always, DC or AC power

Steps to Reproduce:
1.  Set gnome-power-manager up to suspend to disk on lid close.
2.  Close lid
3.
  
Actual results:
X session killed, gdm shows, no suspend.

Expected results:
Suspend-to-disk should occur.

Additional info:
In FC5 same settings worked.
Comment 1 Richard Hughes 2007-02-05 12:33:05 EST
If you open a command window, and type (as root)

pm-hibernate

What happens?
Comment 2 Filip Miletic 2007-02-05 12:56:23 EST
Upon pm-hibernate, the system suspends to disk.

As I said, the issue occurs only when closing the lid. If I ask for a
suspend-to-disk via either command line, or by selecting an option to suspend
from Gnome's quit menu, the system suspends well.

FWIW, I get an error message in the console that I used to issue pm-hibernate:

/etc/pm/functions-suspend2: line 4: /etc/sysconfig/pm: No such file or directory
Comment 3 Filip Miletic 2007-02-05 13:26:58 EST
Ok, I figured out why the last error message.  It's a remnant of a failed
attempt to use suspend2 to solve the lid problem.  (FYI, the problem with
suspend2 from the cubbi repo is that I use proprietary modules which won't work
with cubbi kernel)

I now reinstalled the original pm-utils from FC6 so the error message should be
gone.  But the problem remains, as I only installed suspend2 to get rid of the
lid close issue anyways. 
Comment 4 Bug Zapper 2008-04-04 02:05:14 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:09:42 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.